Package tigase.xmpp

## Enum StanzaType

- java.lang.Object
- - java.lang.Enum<StanzaType>
  - - tigase.xmpp.StanzaType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<StanzaType>`

      public enum StanzaType
      extends java.lang.Enum<StanzaType>

  Describe class StanzaType here.
  Created: Fri Feb 10 13:13:50 2006
  Author:
    Artur Hefczyc

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `available` |
    `chat` |
    `error` |
    `get` |
    `groupchat` |
    `headline` |
    `invalid` |
    `invisible` |
    `normal` |
    `probe` |
    `result` |
    `set` |
    `subscribe` |
    `subscribed` |
    `terminate` |
    `unavailable` |
    `unsubscribe` |
    `unsubscribed` |
    `valid` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.util.Set<StanzaType>` | `getSubsTypes()` |
    `static StanzaType` | `valueof​(java.lang.String cmd)` |
    `static StanzaType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static StanzaType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### error

          public static final StanzaType error

    - #### get

          public static final StanzaType get

    - #### set

          public static final StanzaType set

    - #### result

          public static final StanzaType result

    - #### available

          public static final StanzaType available

    - #### unavailable

          public static final StanzaType unavailable

    - #### probe

          public static final StanzaType probe

    - #### subscribe

          public static final StanzaType subscribe

    - #### subscribed

          public static final StanzaType subscribed

    - #### unsubscribe

          public static final StanzaType unsubscribe

    - #### unsubscribed

          public static final StanzaType unsubscribed

    - #### chat

          public static final StanzaType chat

    - #### groupchat

          public static final StanzaType groupchat

    - #### headline

          public static final StanzaType headline

    - #### normal

          public static final StanzaType normal

    - #### valid

          public static final StanzaType valid

    - #### invalid

          public static final StanzaType invalid

    - #### terminate

          public static final StanzaType terminate

    - #### invisible

          public static final StanzaType invisible

  - ### Method Detail

    - #### values

          public static StanzaType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StanzaType c : StanzaType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StanzaType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getSubsTypes

          public static java.util.Set<StanzaType> getSubsTypes()

    - #### valueof

          public static StanzaType valueof​(java.lang.String cmd)